Page traffic for humans and AI agents
curl --request GET \
--url https://api-v1.maverickintelligence.co/v1/traffic/pages \
--header 'X-API-Key: <api-key>'import requests
url = "https://api-v1.maverickintelligence.co/v1/traffic/pages"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-v1.maverickintelligence.co/v1/traffic/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-v1.maverickintelligence.co/v1/traffic/pages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-v1.maverickintelligence.co/v1/traffic/pages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-v1.maverickintelligence.co/v1/traffic/pages")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-v1.maverickintelligence.co/v1/traffic/pages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"domain": "letter.company",
"path": "/pricing",
"human": {
"pageViews": 1,
"uniqueVisitors": 1,
"sessions": 1,
"pageViewsWithoutVisitorId": 1,
"pageViewsWithoutSessionId": 1,
"identifiedPageViews": 1,
"unidentifiedPageViews": 1
},
"ai": {
"requests": 1,
"pageViews": 1,
"byAgent": [
{
"agent": "openai-crawler",
"operator": "openai",
"requests": 1,
"pageViews": 1
}
]
},
"browserAiPageViews": 123,
"browserOtherBotPageViews": 123,
"serverOtherBotPageViews": 123,
"browserUnclassifiedPageViews": 123,
"serverUnclassifiedPageViews": 123,
"serverPageRequests": 123,
"identifiedPeople": [
{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"company": "<string>"
}
]
}
],
"totals": {
"human": {
"pageViews": 1,
"uniqueVisitors": 1,
"sessions": 1,
"pageViewsWithoutVisitorId": 1,
"pageViewsWithoutSessionId": 1,
"identifiedPageViews": 1,
"unidentifiedPageViews": 1
},
"ai": {
"requests": 1,
"pageViews": 1,
"byAgent": [
{
"agent": "openai-crawler",
"operator": "openai",
"requests": 1,
"pageViews": 1
}
]
}
},
"pagination": {
"nextCursor": "<string>",
"totalPages": 123
},
"meta": {
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"complete": true,
"measure": "all",
"humanSource": "browser",
"aiSource": "server",
"classification": "user_agent_claim",
"operatorVerified": false,
"identityMethod": "<string>",
"generatedAt": "2023-11-07T05:31:56Z",
"aiCoverage": "server_observations_received",
"coverage": {}
}
}API Reference
Get Page Traffic
Page loads per page for people and AI agents, including anonymous visitors
GET
/
v1
/
traffic
/
pages
Page traffic for humans and AI agents
curl --request GET \
--url https://api-v1.maverickintelligence.co/v1/traffic/pages \
--header 'X-API-Key: <api-key>'import requests
url = "https://api-v1.maverickintelligence.co/v1/traffic/pages"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-v1.maverickintelligence.co/v1/traffic/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-v1.maverickintelligence.co/v1/traffic/pages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-v1.maverickintelligence.co/v1/traffic/pages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-v1.maverickintelligence.co/v1/traffic/pages")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-v1.maverickintelligence.co/v1/traffic/pages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"domain": "letter.company",
"path": "/pricing",
"human": {
"pageViews": 1,
"uniqueVisitors": 1,
"sessions": 1,
"pageViewsWithoutVisitorId": 1,
"pageViewsWithoutSessionId": 1,
"identifiedPageViews": 1,
"unidentifiedPageViews": 1
},
"ai": {
"requests": 1,
"pageViews": 1,
"byAgent": [
{
"agent": "openai-crawler",
"operator": "openai",
"requests": 1,
"pageViews": 1
}
]
},
"browserAiPageViews": 123,
"browserOtherBotPageViews": 123,
"serverOtherBotPageViews": 123,
"browserUnclassifiedPageViews": 123,
"serverUnclassifiedPageViews": 123,
"serverPageRequests": 123,
"identifiedPeople": [
{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"company": "<string>"
}
]
}
],
"totals": {
"human": {
"pageViews": 1,
"uniqueVisitors": 1,
"sessions": 1,
"pageViewsWithoutVisitorId": 1,
"pageViewsWithoutSessionId": 1,
"identifiedPageViews": 1,
"unidentifiedPageViews": 1
},
"ai": {
"requests": 1,
"pageViews": 1,
"byAgent": [
{
"agent": "openai-crawler",
"operator": "openai",
"requests": 1,
"pageViews": 1
}
]
}
},
"pagination": {
"nextCursor": "<string>",
"totalPages": 123
},
"meta": {
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"complete": true,
"measure": "all",
"humanSource": "browser",
"aiSource": "server",
"classification": "user_agent_claim",
"operatorVerified": false,
"identityMethod": "<string>",
"generatedAt": "2023-11-07T05:31:56Z",
"aiCoverage": "server_observations_received",
"coverage": {}
}
}See Page traffic: people and AI agents
for how human and AI sources are counted and what the coverage limits are.
Query Parameters
Partner domain group ID. Matches exact member hostnames (www aliases normalized), including any member site the person has visited. Intersects domain, client_ref, and the key's scope; never grants extra access. Empty group returns zero matches; missing/foreign group returns 404; invalid ID returns 400. Keep this filter when following pagination cursors.
Pattern:
^[A-Za-z0-9][A-Za-z0-9_-]{0,63}$